// Call ngui function to create a ui config.
window.ngui(() => {
  return {
      
    // The returned object can be accessed with this within any method...
    // Do not use this.ctx within this function because it is not yet created.
    data() {
      return {
        // VAR
        roles: [1]
      }
    },
      
    // Define elements within the ui configuration...
    nodes() {
      return [
        // any ui component node can be used...
        {
          type: 'NgPage',
          props: {
            dense: true,
            roles: this.roles,
            height: '95vh',
            permissions: this.ctx.globals.getPermissions(['adminRead']),
          },
          children: {
            default: () => {
              return [
                // child nodes or string content
                {
                  type: 'NgUIEditor',
                  props: {
                  },
                },
              ]
            }
          },
        },
      ]
    },
  }
})